Subject: Re: Lite5200 FEC Driver on linux 2.6 broken? (fixed again)

From: Sylvain Munaut <[email-masked]>
Date: Sun, 21 Nov 2004 17:10:59 +0100

roger blofeld wrote:

>>What tree are you exactly using ?
>>In mainstream XLB snooping is not configured so if you have the 
>>mainstream + added DMA,
>>the problem may come from this.
>>
>>
>>   Sylvain
>>    
>>
>
>I did a bk clone of the linux-2.5 tree (2.6.10-rc2), then a bk pull of
>your tree. You're probably right about the snooping. Since the driver
>is working at the moment, I'll wait until your tree is updated before
>doing more testing.
>Thanks
>-rb
>  
>
Wow, that must have led to a bunch of conflicts no ?

Now, it's more up-to-date and cloning mainstream and pulling should be ok.
Note that my tree is now :

bk://bkbits.246tNt.com/linux-2.5-mpc52xx

(no -devel, I merged the two in only one)

The flush_dcache_range is not present because if it still fails I'd like 
to understand why.
I should not be needed or maybe I'm missing something. If still doesn't 
work, I'll
add it with a note.

    Sylvain